Unit Unit1;

{$MODE objfpc}{$H+}

Interface

Uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls;

Type

  { TForm1 }

  TForm1 = Class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Procedure Button1Click(Sender: TObject);
    Procedure Button2Click(Sender: TObject);
    Procedure FormCreate(Sender: TObject);
  private
    GroupBox2: TGroupBox;
    Procedure ClearEdit(Const aOwner: TGroupBox);

  public

  End;

Var
  Form1: TForm1;

Implementation

{$R *.lfm}

{ TForm1 }

Procedure TForm1.FormCreate(Sender: TObject);
Var
  e: TEdit;
  l: TLabel;
Begin
  (*
   * Via Code eine Groupbox erstellen
   *)
  GroupBox2 := TGroupBox.Create(self);
  GroupBox2.Name := 'GroupBox2';
  GroupBox2.Parent := self;
  GroupBox2.Top := GroupBox1.Top;
  GroupBox2.Left := label2.Left;
  GroupBox2.Width := GroupBox1.Width;
  GroupBox2.Height := GroupBox1.Height;
  e := TEdit.Create(GroupBox2);
  e.name := 'Edit2';
  e.Parent := GroupBox2;
  e.text := 'Edit2';
  e.Left := Edit1.Left;
  e.Top := Edit1.Top;
  l := TLabel.Create(GroupBox2);
  l.name := 'Label4';
  l.Parent := GroupBox2;
  l.Caption := 'Label4';
  l.Left := Label3.Left;
  l.Top := Label3.Top;

End;

Procedure TForm1.ClearEdit(Const aOwner: TGroupBox);
Var
  i: Integer;
Begin
  For i := 0 To aOwner.ComponentCount - 1 Do Begin
    If aOwner.Components[i] Is TEdit Then Begin
      (aOwner.Components[i] As TEdit).Text := '';
    End;
  End;
End;

Procedure TForm1.Button1Click(Sender: TObject);
Begin
  ClearEdit(GroupBox1);
End;

Procedure TForm1.Button2Click(Sender: TObject);
Begin
  ClearEdit(GroupBox2);
End;

End.

